{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "2.1 Карта (Просмотр видео полицейского)" %}


{% block heading %}
    <div class="content-header">
        <ol class="content-header__breadcrumb breadcrumb mb-1">
            <li class="breadcrumb-item">
                <a href="#">Карта</a>
            </li>
            <li class="breadcrumb-item active" aria-current="page">Просмотр видео сотрудника</li>
        </ol>
    </div><!-- .content-header -->
{% endblock %}

{% block main %}

    <div class="page-wrap">
        <div class="card">
            <div class="card-body">
                <div class="connect">
                    <div class="connect__media">
                        <div class="connect__header">
                            <div class="custom-control custom-switch custom-control-inline">
                                <input type="checkbox" class="custom-control-input" checked="" id="customSwitch1">
                                <label class="custom-control-label mr-1" for="customSwitch1">
                                </label>
                                <span>Аудиосвязь (постоянная)</span>
                            </div>
                            <div>25.03.2021; 08:15:32; ID рег. 78956</div>
                        </div><!-- .connect__header -->
                        <div class="connect__video">
                            <img src="assets/img/content/video.jpg" class="img-fluid" alt="">
                        </div><!-- .connect__video -->
                        <div class="connect__timeline">
                            <div class="connect__timeline--source">
                                <img src="assets/img/content/videochart.png" class="img-fluid" alt="">
                            </div>
                            <div class="connect__timeline--scale"></div>
                        </div><!-- .connect__timeline -->
                        <div class="connect__map" id="connect-map"></div><!-- .connect__map -->
                        <div class="connect__form">
                            <div class="d-flex align-items-center">
                                <input type="text" name="add" class="form-control mr-50" placeholder="Отправить SOS сообщение " value="">
                                <button class="btn btn-primary shadow">SOS</button>
                            </div>
                        </div><!-- .connect__form -->
                    </div><!-- .connect__media -->
                    <div class="connect__chat connect-chat">
                        <div class="connect-chat__header">
                            <div class="connect-chat__header--avatar">
                                <img src="assets/img/content/chat-user_01.png" class="img-fluid" alt="">
                            </div>
                            <div class="connect-chat__header--text">
                                <div class="connect-chat__header--name">Ахметов С.Г.  (майор)</div>
                                <div class="connect-chat__header--id">ID видеорегистратора 78956 </div>
                            </div>
                        </div><!-- .connect-chat__header -->
                        <div class="connect-chat__content">
                            <div class="connect-chat__source pretty-scroll">
                                <div class="connect-chat__source--wrap">
                                    <div class="chat-post">
                                        <div class="chat-post__avatar">
                                            <img src="assets/img/elem.png" class="img-fluid" alt="">
                                        </div><!-- .chat-post__avatar -->
                                        <div class="chat-post__main">
                                            <div class="chat-post__item">
                                                <div class="chat-post__item--text">Устройство <span class="color-blue">включено</span></div>
                                                <div class="chat-post__item--time">13:12</div>
                                            </div><!-- .chat-post__item -->
                                            <div class="chat-post__item">
                                                <div class="chat-post__item--text">20%-Низкий заряд батареи</div>
                                                <div class="chat-post__item--time">13:12</div>
                                            </div><!-- .chat-post__item -->
                                            <div class="chat-post__item">
                                                <div class="chat-post__item--text">Устройство <span class="color-red">выключено</span></div>
                                                <div class="chat-post__item--time">13:12</div>
                                            </div><!-- .chat-post__item -->
                                        </div><!-- .chat-post__main -->
                                    </div><!-- .chat-post -->
                                    <div class="connect-chat__date">
                                        <span>25.08.2021</span>
                                    </div>
                                    <div class="chat-post">
                                        <div class="chat-post__avatar">
                                            <img src="assets/img/elem.png" class="img-fluid" alt="">
                                        </div><!-- .chat-post__avatar -->
                                        <div class="chat-post__main">
                                            <div class="chat-post__item">
                                                <div class="chat-post__item--text">Устройство <span class="color-blue">включено</span></div>
                                                <div class="chat-post__item--time">13:12</div>
                                            </div><!-- .chat-post__item -->
                                        </div><!-- .chat-post__main -->
                                    </div><!-- .chat-post -->
                                    <div class="chat-post">
                                        <div class="chat-post__avatar">
                                            <img src="../../../app-assets/images/portrait/small/avatar-s-21.jpg" class="img-fluid" alt="">
                                        </div><!-- .chat-post__avatar -->
                                        <div class="chat-post__main">
                                            <div class="chat-post__item">
                                                <div class="chat-post__item--media">
                                                    <img src="assets/img/content/chat_map.png" class="img-fluid" alt="">
                                                </div>
                                                <div class="chat-post__item--time">13:12</div>
                                            </div><!-- .chat-post__item -->
                                        </div><!-- .chat-post__main -->
                                    </div><!-- .chat-post -->
                                    <div class="chat-post">
                                        <div class="chat-post__avatar">
                                            <img src="../../../app-assets/images/portrait/small/avatar-s-20.jpg" class="img-fluid" alt="">
                                        </div><!-- .chat-post__avatar -->
                                        <div class="chat-post__main">
                                            <div class="chat-post__item">
                                                <div class="chat-post__item--text">Добрый день</div>
                                                <div class="chat-post__item--time">13:12</div>
                                            </div><!-- .chat-post__item -->
                                            <div class="chat-post__item">
                                                <div class="chat-post__item--text">Сдайте пост</div>
                                                <div class="chat-post__item--time">13:14</div>
                                            </div><!-- .chat-post__item -->
                                        </div><!-- .chat-post__main -->
                                    </div><!-- .chat-post -->
                                </div>
                            </div><!-- .connect-chat__source -->
                        </div><!-- .connect-chat__content -->
                        <div class="connect-chat__new">
                            <div class="connect-chat__form">
                                <input type="text" name="mesg" class="form-control flex-grow-1 mb-50 mr-50">
                                <button class="btn btn-primary mb-50">Отправить</button>
                            </div>
                        </div>
                    </div><!-- .connect-chat -->
                </div><!-- .connect -->
            </div><!-- .card-body -->
        </div><!-- .card -->
    </div>

{% endblock %}


{% block scripts %}
    <script src="https://api-maps.yandex.ru/2.1/?apikey=89e58c06-5d58-4418-99df-35829b46b183&lang=ru_RU" type="text/javascript"></script>
    <script>
        ymaps.ready(function () {
            let map = new ymaps.Map('connect-map', {
                center: [55.7717,37.6204],
                zoom: 14,
                controls: []
            });

            let userLayout_1 = ymaps.templateLayoutFactory.createClass('<div class="point">' +
                '<div class="point__avatar"><img src="assets/img/content/user_01.png" class="img-fluid" alt=""></div>' +
                '<div class="point__content">' +
                '<div class="point__name">Искаков А.Н.</div>' +
                '</div>' +
                '</div>');

            let user_1 = new ymaps.Placemark(
                [55.7731,37.6048], {
                    hintContent: 'Искаков А.Н.'
                }, {
                    iconLayout: userLayout_1,
                    iconShape: {
                        type: 'Rectangle',
                        coordinates: [
                            [-25, -25], [25, 25]
                        ]
                    }
                }
            );

            let userLayout_2 = ymaps.templateLayoutFactory.createClass('<div class="point--red">' +
                '<div class="point__avatar"><img src="assets/img/content/user_02.png" class="img-fluid" alt=""></div>' +
                '<div class="point__content">' +
                '<div class="point__name">Турсунханов Н.В.</div>' +
                '<div class="point__icon"><span>!</span></div>' +
                '</div>' +
                '</div>');

            let user_2 = new ymaps.Placemark(
                [55.7717,37.6204], {
                    hintContent: 'Турсунханов Н.В.'
                }, {
                    iconLayout: userLayout_2,
                    iconShape: {
                        type: 'Rectangle',
                        coordinates: [
                            [-25, -25], [25, 25]
                        ]
                    }
                }
            );

            let userLayout_3 = ymaps.templateLayoutFactory.createClass('<div class="point--red">' +
                '<div class="point__avatar"><img src="assets/img/content/user_03.png" class="img-fluid" alt=""></div>' +
                '<div class="point__content">' +
                '<div class="point__name">Оспанов Б.Ш.</div>' +
                '<div class="point__icon"><span>!</span></div>' +
                '</div>' +
                '</div>');

            let user_3 = new ymaps.Placemark(
                [55.7684,37.6344], {
                    hintContent: 'Оспанов Б.Ш.'
                }, {
                    iconLayout: userLayout_3,
                    iconShape: {
                        type: 'Rectangle',
                        coordinates: [
                            [-25, -25], [25, 25]
                        ]
                    }
                }
            );

            map.geoObjects.add(user_1);
            map.geoObjects.add(user_2);
            map.geoObjects.add(user_3);
        });
    </script>
{% endblock %}


